<?xml version="1.0" encoding="utf-8"?>
<com.wasu.widgets.focuswidget.FocusLinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/focus_rl"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="@dimen/d_20dp"
    android:orientation="vertical">

    <Button
        android:id="@+id/buttn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:focusable="true"
        android:text="UITest"/>
    <Button
        android:id="@+id/buttn2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_toRightOf="@+id/buttn"
        android:layout_marginLeft="@dimen/d_10dp"
        android:layout_gravity="center_horizontal"
        android:text="UITest"/>
    <Button
        android:id="@+id/buttn3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_toRightOf="@+id/buttn2"
        android:layout_marginLeft="@dimen/d_10dp"
        android:layout_gravity="center_horizontal"
        android:text="UITest"/>
    <Button
        android:id="@+id/buttn4"
        android:layout_width="wrap_content"
        android:layout_toRightOf="@+id/buttn3"
        android:layout_marginLeft="@dimen/d_10dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:text="UITest"/>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:descendantFocusability="afterDescendants"
        android:focusable="true"
        android:orientation="horizontal">
        <Button
            android:layout_width="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="UITesasdast"/>
        <Button
            android:layout_width="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="UITesasdast"/>
        <Button
            android:layout_width="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="UITesasdast"/>
    </LinearLayout>




    <!--<android.support.v7.widget.RecyclerView-->
        <!--android:nextFocusUp="@+id/buttn"-->
        <!--android:id="@+id/vRecyclerView"-->
        <!--android:layout_width="match_parent"-->
        <!--android:layout_height="match_parent"-->
        <!--android:layout_marginTop="@dimen/d_20dp"-->
        <!--android:layout_marginLeft="@dimen/d_20dp"-->
        <!--android:descendantFocusability="afterDescendants"-->
        <!--android:clipToPadding="false"-->
        <!--android:fadeScrollbars="false"-->
        <!--android:focusable="true"-->
        <!--android:scrollbars="none"-->
        <!--android:verticalSpacing="@dimen/d_30dp" />-->

</com.wasu.widgets.focuswidget.FocusLinearLayout>
